nxt.voting

## Class PhasingControl

- java.lang.Object
- - nxt.voting.PhasingControl

- Direct Known Subclasses:
    AccountRestrictions.PhasingOnly, AssetControl.PhasingOnly

      public abstract class PhasingControl
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PhasingControl.SubPoll`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PhasingParams` | `params`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PhasingControl()`
    `protected` | `PhasingControl(PhasingParams params)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkPhasing(PhasingAppendix phasingAppendix)`
    `protected abstract void` | `checkTransaction(ChildTransaction childTransaction)`
    `abstract java.lang.String` | `getControlType()`
    `abstract java.lang.String` | `getDefaultControlVariable()`
    `PhasingParams` | `getPhasingParams()`
    `protected void` | `init(java.sql.ResultSet rs, java.util.function.Supplier<java.util.List<? extends PhasingControl.SubPoll>> subPollsSupplier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected PhasingParams params

  - ### Constructor Detail

    - #### PhasingControl

          protected PhasingControl()

    - #### PhasingControl

          protected PhasingControl(PhasingParams params)

  - ### Method Detail

    - #### init

          protected void init(java.sql.ResultSet rs,
                              java.util.function.Supplier<java.util.List<? extends PhasingControl.SubPoll>> subPollsSupplier)
                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### checkPhasing

          protected final void checkPhasing(PhasingAppendix phasingAppendix)
                                     throws NxtException.AccountControlException

      Throws:
        `NxtException.AccountControlException`

    - #### getPhasingParams

          public final PhasingParams getPhasingParams()

    - #### getControlType

          public abstract java.lang.String getControlType()

    - #### getDefaultControlVariable

          public abstract java.lang.String getDefaultControlVariable()

    - #### checkTransaction

          protected abstract void checkTransaction(ChildTransaction childTransaction)
                                            throws NxtException.AccountControlException

      Throws:
        `NxtException.AccountControlException`